module gw_gao(
    \capture_index[8] ,
    \capture_index[7] ,
    \capture_index[6] ,
    \capture_index[5] ,
    \capture_index[4] ,
    \capture_index[3] ,
    \capture_index[2] ,
    \capture_index[1] ,
    \capture_index[0] ,
    \capture_data[30] ,
    \capture_data[29] ,
    \capture_data[28] ,
    \capture_data[27] ,
    \capture_data[26] ,
    \capture_data[25] ,
    \capture_data[24] ,
    \capture_data[23] ,
    \capture_data[22] ,
    \capture_data[21] ,
    \capture_data[20] ,
    \capture_data[19] ,
    \capture_data[18] ,
    \capture_data[17] ,
    \capture_data[16] ,
    \capture_data[15] ,
    \capture_data[14] ,
    \capture_data[13] ,
    \capture_data[12] ,
    \capture_data[11] ,
    \capture_data[10] ,
    \capture_data[9] ,
    \capture_data[8] ,
    \capture_data[7] ,
    \capture_data[6] ,
    \capture_data[5] ,
    \capture_data[4] ,
    \capture_data[3] ,
    \capture_data[2] ,
    \capture_data[1] ,
    \capture_data[0] ,
    trigger,
    clk,
    tms_pad_i,
    tck_pad_i,
    tdi_pad_i,
    tdo_pad_o
);

input \capture_index[8] ;
input \capture_index[7] ;
input \capture_index[6] ;
input \capture_index[5] ;
input \capture_index[4] ;
input \capture_index[3] ;
input \capture_index[2] ;
input \capture_index[1] ;
input \capture_index[0] ;
input \capture_data[30] ;
input \capture_data[29] ;
input \capture_data[28] ;
input \capture_data[27] ;
input \capture_data[26] ;
input \capture_data[25] ;
input \capture_data[24] ;
input \capture_data[23] ;
input \capture_data[22] ;
input \capture_data[21] ;
input \capture_data[20] ;
input \capture_data[19] ;
input \capture_data[18] ;
input \capture_data[17] ;
input \capture_data[16] ;
input \capture_data[15] ;
input \capture_data[14] ;
input \capture_data[13] ;
input \capture_data[12] ;
input \capture_data[11] ;
input \capture_data[10] ;
input \capture_data[9] ;
input \capture_data[8] ;
input \capture_data[7] ;
input \capture_data[6] ;
input \capture_data[5] ;
input \capture_data[4] ;
input \capture_data[3] ;
input \capture_data[2] ;
input \capture_data[1] ;
input \capture_data[0] ;
input trigger;
input clk;
input tms_pad_i;
input tck_pad_i;
input tdi_pad_i;
output tdo_pad_o;

wire \capture_index[8] ;
wire \capture_index[7] ;
wire \capture_index[6] ;
wire \capture_index[5] ;
wire \capture_index[4] ;
wire \capture_index[3] ;
wire \capture_index[2] ;
wire \capture_index[1] ;
wire \capture_index[0] ;
wire \capture_data[30] ;
wire \capture_data[29] ;
wire \capture_data[28] ;
wire \capture_data[27] ;
wire \capture_data[26] ;
wire \capture_data[25] ;
wire \capture_data[24] ;
wire \capture_data[23] ;
wire \capture_data[22] ;
wire \capture_data[21] ;
wire \capture_data[20] ;
wire \capture_data[19] ;
wire \capture_data[18] ;
wire \capture_data[17] ;
wire \capture_data[16] ;
wire \capture_data[15] ;
wire \capture_data[14] ;
wire \capture_data[13] ;
wire \capture_data[12] ;
wire \capture_data[11] ;
wire \capture_data[10] ;
wire \capture_data[9] ;
wire \capture_data[8] ;
wire \capture_data[7] ;
wire \capture_data[6] ;
wire \capture_data[5] ;
wire \capture_data[4] ;
wire \capture_data[3] ;
wire \capture_data[2] ;
wire \capture_data[1] ;
wire \capture_data[0] ;
wire trigger;
wire clk;
wire tms_pad_i;
wire tck_pad_i;
wire tdi_pad_i;
wire tdo_pad_o;
wire tms_i_c;
wire tck_i_c;
wire tdi_i_c;
wire tdo_o_c;
wire [9:0] control0;
wire gao_jtag_tck;
wire gao_jtag_reset;
wire run_test_idle_er1;
wire run_test_idle_er2;
wire shift_dr_capture_dr;
wire update_dr;
wire pause_dr;
wire enable_er1;
wire enable_er2;
wire gao_jtag_tdi;
wire tdo_er1;

IBUF tms_ibuf (
    .I(tms_pad_i),
    .O(tms_i_c)
);

IBUF tck_ibuf (
    .I(tck_pad_i),
    .O(tck_i_c)
);

IBUF tdi_ibuf (
    .I(tdi_pad_i),
    .O(tdi_i_c)
);

OBUF tdo_obuf (
    .I(tdo_o_c),
    .O(tdo_pad_o)
);

GW_JTAG  u_gw_jtag(
    .tms_pad_i(tms_i_c),
    .tck_pad_i(tck_i_c),
    .tdi_pad_i(tdi_i_c),
    .tdo_pad_o(tdo_o_c),
    .tck_o(gao_jtag_tck),
    .test_logic_reset_o(gao_jtag_reset),
    .run_test_idle_er1_o(run_test_idle_er1),
    .run_test_idle_er2_o(run_test_idle_er2),
    .shift_dr_capture_dr_o(shift_dr_capture_dr),
    .update_dr_o(update_dr),
    .pause_dr_o(pause_dr),
    .enable_er1_o(enable_er1),
    .enable_er2_o(enable_er2),
    .tdi_o(gao_jtag_tdi),
    .tdo_er1_i(tdo_er1),
    .tdo_er2_i(1'b0)
);

gw_con_top  u_icon_top(
    .tck_i(gao_jtag_tck),
    .tdi_i(gao_jtag_tdi),
    .tdo_o(tdo_er1),
    .rst_i(gao_jtag_reset),
    .control0(control0[9:0]),
    .enable_i(enable_er1),
    .shift_dr_capture_dr_i(shift_dr_capture_dr),
    .update_dr_i(update_dr)
);

ao_top_0  u_la0_top(
    .control(control0[9:0]),
    .trig0_i(trigger),
    .data_i({\capture_index[8] ,\capture_index[7] ,\capture_index[6] ,\capture_index[5] ,\capture_index[4] ,\capture_index[3] ,\capture_index[2] ,\capture_index[1] ,\capture_index[0] ,\capture_data[30] ,\capture_data[29] ,\capture_data[28] ,\capture_data[27] ,\capture_data[26] ,\capture_data[25] ,\capture_data[24] ,\capture_data[23] ,\capture_data[22] ,\capture_data[21] ,\capture_data[20] ,\capture_data[19] ,\capture_data[18] ,\capture_data[17] ,\capture_data[16] ,\capture_data[15] ,\capture_data[14] ,\capture_data[13] ,\capture_data[12] ,\capture_data[11] ,\capture_data[10] ,\capture_data[9] ,\capture_data[8] ,\capture_data[7] ,\capture_data[6] ,\capture_data[5] ,\capture_data[4] ,\capture_data[3] ,\capture_data[2] ,\capture_data[1] ,\capture_data[0] }),
    .clk_i(clk)
);

endmodule
